%define oname guess

%define major	1
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname -d %{oname}

%define git 20150609

%define rel 7

#source from upstream git
#
# git clone https://github.com/atheme/libguess.git
# cd libguess
# git archive --format=tar --prefix=libguess master/	 | xz > ../libguess-20131127.tar.xz

Summary:	A high-speed character set detection library
Name:		libguess
Version:	1.2
Release:	%mkrel -c git.%git %{rel}
# These URLs are no longer available
Source0:	http://distfiles.atheme.org/%{name}-%{git}.tar.xz
License:	BSD
Group:		System/Libraries
Url:		http://www.atheme.org/projects/libguess.html
BuildRequires:	pkgconfig(libmowgli-2) >= 2.0

%description
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

%package -n %{libname}
Group:		System/Libraries
Summary:	A high-speed character set detection library

%description -n %{libname}
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

%package -n %{devname}
Group:		Development/C
Summary:	A high-speed character set detection library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Libguess is a high-speed character set detection library. It employs
discrete-finite automata to deduce the character set of an input buffer.

Install this if you want to build applications with %{name}.

%prep
%setup -q -c -n %name

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files -n %{libname}
%doc README COPYING
%{_libdir}/libguess.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libguess.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.2-0.git.20150609.7.mga10
+ Revision: 2196103
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.2-0.git.20150609.6.mga9
+ Revision: 1796738
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 1.2-0.git.20150609.5.mga8
+ Revision: 1599968
- remove arm workaround

* Thu Feb 13 2020 umeabot <umeabot> 1.2-0.git.20150609.4.mga8
+ Revision: 1514146
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2-0.git.20150609.3.mga7
+ Revision: 1298896
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.2-0.git.20150609.2.mga7
+ Revision: 1235668
- fix build on aarch64

* Sat Apr 07 2018 kekepower <kekepower> 1.2-0.git.20150609.1.mga7
+ Revision: 1215774
- Update to git.20150609

* Mon Feb 08 2016 umeabot <umeabot> 1.2-0.git.20131127.4.mga6
+ Revision: 944983
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-0.git.20131127.3.mga5
+ Revision: 750897
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-0.git.20131127.2.mga5
+ Revision: 681515
- Mageia 5 Mass Rebuild

* Fri May 30 2014 gw666 <gw666> 1.2-0.git.20131127.1.mga5
+ Revision: 627961
- new version from git

* Fri Oct 18 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 507063
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 357426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ wally <wally>
- fix URL

* Fri Dec 02 2011 wally <wally> 1.1-1.mga2
+ Revision: 175146
- new version 1.1
- clean .spec

* Fri Mar 04 2011 ennael <ennael> 1.0-1.mga1
+ Revision: 63958
- imported package libguess


* Thu Jul 22 2010 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2011.0
+ Revision: 556861
- import libguess


